/*
 * Values from CAEN power supply documentation and driver
 */

/* bit order meaning in the rd state mask */
#define PS_RD_NUM_STATES          28
#define A36XXBS_RD_STAT_ONOFF        0      // 1=module on 0=module off
#define A36XXBS_RD_STAT_FAULT        1      // 1=generic fault 0=ok
#define A36XXBS_RD_STAT_WARN         2      // 1=generic warning 0=ok
#define A36XXBS_RD_STAT_LOCAL        3      // 1=local 0=remote    
#define A36XXBS_RD_STAT_DSPERR       4      // 1=dsp error 0=ok
#define A36XXBS_RD_STAT_OVERCUR      5      // 1=overcurrent 0=ok    
#define A36XXBS_RD_STAT_CROWBAR      6      // 1=crowbar protection 0=ok      
#define A36XXBS_RD_STAT_MOSFETTEMP   7      // 1=mosfet temp. alarm 0=ok 
#define A36XXBS_RD_STAT_SHUNTTEMP    8      // 1=shunt temp. alarm 0=ok 
#define A36XXBS_RD_STAT_DCUNDERVOLT  9      // 1=dc undervoltage 0=ok      
#define A36XXBS_RD_STAT_GNDCUR       10     // 1=ground current 0=ok
#define A36XXBS_RD_STAT_REGFAULT     11     // 1=regulator fault 0=ok
#define A36XXBS_RD_STAT_RAMPFLAG     12     // 1=ramp in execution 0=ok
#define A36XXBS_RD_STAT_TURNOFF      13     // 1=turning off procedure running 
#define A36XXBS_RD_STAT_WAVERUN      14     // 1=waveform is running
#define A36XXBS_RD_STAT_RIPPLEFAULT  15     // 1=ripple fault 0=ok
#define A36XXBS_RD_STAT_EXTINT1      16     // 1=external interlock num. 1
#define A36XXBS_RD_STAT_EXTINT2      17     // 1=external interlock num. 1
#define A36XXBS_RD_STAT_EXTINT3      18     // 1=external interlock num. 1
#define A36XXBS_RD_STAT_EXTINT4      19     // 1=external interlock num. 1
#define A36XXBS_RD_STAT_EXTINT5      20     // 1=external interlock num. 1
#define A36XXBS_RD_STAT_EXTINT6      21     // 1=external interlock num. 1
#define A36XXBS_RD_STAT_EXTINT7      22     // 1=external interlock num. 1
#define A36XXBS_RD_STAT_EXTINT8      23     // 1=external interlock num. 1
#define A36XXBS_RD_STAT_BULKONOFF    24     // 1=bulk on 0=bulk off
#define A36XXBS_RD_STAT_RESERVED     25
#define A36XXBS_RD_STAT_AUXEARTHOK   26     // 1=earth ok 0=earth fault
#define A36XXBS_RD_STAT_BULKREDUD    27     // 1=bulk redudancy 0

/* bit order in the wr state mask */
#define A36XXBS_WR_STAT_BULKONOFF    3      // 1=switch bulk on, 0=switch bulk off
#define A36XXBS_WR_STAT_SLEWRATE     4      // 1=enabled slew rate control
#define A36XXBS_WR_STAT_RESET        5      // 1=reset errors
#define A36XXBS_WR_STAT_ONOFF        6      // 1=switch ps on, 0=switch ps off
#define A36XXBS_WR_STAT_IGNORE       7      // 1=ignore status/current setting, trigger readback response

/* Maximum slew rate */
#define A36XXBS_PS_MAX_RAMP_RATIO    20 // 20 Amp/sec (used during switching off procedure)
